org.apache.ignite.internal.processors.hadoop

## Enum HadoopTaskType

- java.lang.Object
- - java.lang.Enum<HadoopTaskType>
  - - org.apache.ignite.internal.processors.hadoop.HadoopTaskType

All Implemented Interfaces:
  Serializable, Comparable<HadoopTaskType>

    public enum HadoopTaskType
    extends Enum<HadoopTaskType>

Task type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORT` Abort task.
`COMBINE` Combine task.
`COMMIT` Commit task.
`MAP` Map task.
`REDUCE` Reduce task.
`SETUP` Setup task.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable HadoopTaskType` `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
`static HadoopTaskType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HadoopTaskType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SETUP

    public static final HadoopTaskType SETUP

Setup task.

#### MAP

    public static final HadoopTaskType MAP

Map task.

#### REDUCE

    public static final HadoopTaskType REDUCE

Reduce task.

#### COMBINE

    public static final HadoopTaskType COMBINE

Combine task.

#### COMMIT

    public static final HadoopTaskType COMMIT

Commit task.

#### ABORT

    public static final HadoopTaskType ABORT

Abort task.

### Method Detail

#### values

    public static HadoopTaskType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HadoopTaskType c : HadoopTaskType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HadoopTaskType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable HadoopTaskType fromOrdinal(byte ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020